Bug 970449 - Fedora19:Beta: Starting of rwhod service fails
Fedora19:Beta: Starting of rwhod service fails
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: rwho (Show other bugs)
19
x86_64 All
unspecified Severity high
: ---
: ---
Assigned To: Honza Horak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-04 00:50 EDT by IBM Bug Proxy
Modified: 2013-06-05 12:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-04 02:24:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 94329 None None None Never

  None (edit)
Description IBM Bug Proxy 2013-06-04 00:50:35 EDT
== Comment: #0 - Sanjeev Patro <sanpatr1@in.ibm.com> - 2013-06-03 09:01:12 ==
1> Installed following rwho packages which are available in Fedora19beta
[root@localhost system]# rpm -qa | grep rwho
rwho-0.17-50.fc19.ppc64

2> Lpar is updated with all the available packages
kernel version - 3.9.4-300.fc19.ppc64p7 

3> Tried to start the service
# service rwhod start
Redirecting to /bin/systemctl start  rwhod.service
Failed to issue method call: Unit syslog.target failed to load: No such file or directory. See system logs and 'systemctl status syslog.target' for details.

== Comment: #1 - Kamalesh Babulal <kamaleshb@in.ibm.com> - 2013-06-03 10:21:56 ==
Does applying following patch to rwho.services help ?

diff --git a/rwhod.service b/rwhod.service
index d5e166e..bf84647 100644
--- a/rwhod.service
+++ b/rwhod.service
@@ -1,6 +1,6 @@
 [Unit]
 Description=Remote Machine Logged In User Lister
-Requires=syslog.target network.target
+Requires=network.target
 
 [Service]
 Type=forking

== Comment: #2 - Sanjeev Patro <sanpatr1@in.ibm.com> - 2013-06-03 11:05:27 ==
(In reply to comment #1)
> Does applying following patch to rwho.services help ?
> 
> diff --git a/rwhod.service b/rwhod.service
> index d5e166e..bf84647 100644
> --- a/rwhod.service
> +++ b/rwhod.service
> @@ -1,6 +1,6 @@
>  [Unit]
>  Description=Remote Machine Logged In User Lister
> -Requires=syslog.target network.target
> +Requires=network.target
>  
>  [Service]
>  Type=forking

It worked. Thanks
Comment 1 Honza Horak 2013-06-04 02:24:36 EDT
Thanks for reporting. We spotted this bug as well and fixed rwho packages are actually heading to stable right now:
https://admin.fedoraproject.org/updates/FEDORA-2013-9068/rwho-0.17-51.fc19
Comment 2 Honza Horak 2013-06-04 04:14:57 EDT
Needinfo flag was set by mistake.
Comment 3 IBM Bug Proxy 2013-06-05 12:10:47 EDT
------- Comment From kamaleshb@in.ibm.com 2013-06-05 16:05 EDT-------
(In reply to comment #6)
> Thanks for reporting. We spotted this bug as well and fixed rwho packages
> are actually heading to stable right now:
> https://admin.fedoraproject.org/updates/FEDORA-2013-9068/rwho-0.17-51.fc19

Thanks. Closing, the bug from IBM side also.

Note You need to log in before you can comment on or make changes to this bug.